Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.om
Class NumberKeyTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.om.NumberKeyTest

All Implemented Interfaces:
  junit.framework.Test

    public class NumberKeyTest

extends junit.framework.TestCase

Tests the NumberKey class.

Version:
  $Id: NumberKeyTest.java 1206841 2011-11-27 20:46:17Z tfischer $
Author:
  Stephen Haberman

Constructor Summary
`NumberKeyTest()`

Method Summary
`void` | `testBigDecimalConstructor()` Test copy constructor.
`void` | `testCopyConstructor()` Test copy constructor.
`void` | `testCopyConstructorNullValue()` Test copy constructor.
`void` | `testDoubleConstructor()` Test double constructor.
`void` | `testEmptyConstructor()` Test copy constructor.
`void` | `testEqualsFalse()` Test !a.equals(b)
`void` | `testEqualsNull()` Test !a.equals(null)
`void` | `testEqualsReflexive()` Test a.equals(a)
`void` | `testEqualsSymmetric()` Test a.equals(b) = b.equals(a)
`void` | `testEqualsTransitive()` Test a.equals(b) = b.equals(c) = c.equals(a)
`void` | `testHashCodeEqual()` Test a.hashCode().equals(a.hashCode())
`void` | `testIntConstructor()` Test int constructor.
`void` | `testList()` Test sorting.
`void` | `testLongConstructor()` Test long constructor.
`void` | `testNumberConstructor()` Test number constructor.
`void` | `testNumberConstructorNull()` Test number constructor with null value.
`void` | `testSetValueBigDecimal()` Test setValue(BigDecimal) method.
`void` | `testSetValueNumberKey()` Test setValue(NumberKey) method.
`void` | `testSetValueNumberKeyNull()` Test setValue(NumberKey) method with null argument.
`void` | `testSetValueString()` Test setValue(String) method.
`void` | `testSetValueStringNull()` Test setValue(String) method with null argument.
`void` | `testStringConstructor()` Test String constructor.
`void` | `testStringConstructorNull()` Test String constructor with null value.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumberKeyTest

    public NumberKeyTest()

Method Detail

### testEqualsReflexive

    public void testEqualsReflexive()

  Test a.equals(a)

### testHashCodeEqual

    public void testHashCodeEqual()

  Test a.hashCode().equals(a.hashCode())

### testEqualsFalse

    public void testEqualsFalse()

  Test !a.equals(b)

### testEqualsSymmetric

    public void testEqualsSymmetric()

  Test a.equals(b) = b.equals(a)

### testEqualsTransitive

    public void testEqualsTransitive()

  Test a.equals(b) = b.equals(c) = c.equals(a)

### testEqualsNull

    public void testEqualsNull()

  Test !a.equals(null)

### testList

    public void testList()

  Test sorting.

### testEmptyConstructor

    public void testEmptyConstructor()

  Test copy constructor.

### testCopyConstructor

    public void testCopyConstructor()

  Test copy constructor.

### testCopyConstructorNullValue

    public void testCopyConstructorNullValue()

  Test copy constructor.

### testBigDecimalConstructor

    public void testBigDecimalConstructor()

  Test copy constructor.

### testLongConstructor

    public void testLongConstructor()

  Test long constructor.

### testDoubleConstructor

    public void testDoubleConstructor()

  Test double constructor.

### testIntConstructor

    public void testIntConstructor()

  Test int constructor.

### testNumberConstructor

    public void testNumberConstructor()

  Test number constructor.

### testNumberConstructorNull

    public void testNumberConstructorNull()

  Test number constructor with null value.

### testStringConstructor

    public void testStringConstructor()

  Test String constructor.

### testStringConstructorNull

    public void testStringConstructorNull()

  Test String constructor with null value.

### testSetValueString

    public void testSetValueString()

  Test setValue(String) method.

### testSetValueStringNull

    public void testSetValueStringNull()

  Test setValue(String) method with null argument.

### testSetValueBigDecimal

    public void testSetValueBigDecimal()

  Test setValue(BigDecimal) method.

### testSetValueNumberKey

    public void testSetValueNumberKey()

  Test setValue(NumberKey) method.

### testSetValueNumberKeyNull

    public void testSetValueNumberKeyNull()

  Test setValue(NumberKey) method with null argument.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.